Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn
Class JAZNConfig

    java.lang.Object
      |
      +--oracle.security.jazn.JAZNConfig

public class JAZNConfig
extends Object

This class represents a <jazn> Configuration instance.

Multiple `JAZNConfig` instances can be active in the same JVM process simultaneously, thus allowing for `JAZN-XML` and `JAZN-LDAP` to coexist in the same JVM.

Note: Due to the design limitation of the Java2/JAAS security architecture, only 1 security provider can be active at any point in one JVM instance. Thus it would be impossible to have multiple active `JAZNConfig` instances when Java2/JAAS is enabled in the JVM.

Constructor Summary
`JAZNConfig(Node node)` Creates a new `JAZNConfig` instance from the DOM node.
`JAZNConfig(Properties props)` Creates a new `JAZNConfig` instance from the given properties.
`JAZNConfig(String configFile)` Creates a new `JAZNConfig` instance using the specified file.

Method Summary
`boolean` | `expandProperties()` Returns true if properties are expanded by default
`ClassLoader` | `getClassLoader()` Returns the JAZN class loader
`String` | `getDefaultRealm()` Returns the default realm
`JAZNConfig` | `getDelegate()` Returns the delegate JAZNConfig object.
`URL` | `getDeploymentURL()` Returns the deployment URL
`static JAZNConfig` | `getJAZNConfig()`
`oracle.security.jazn.spi.JAZNProvider` | `getJAZNProvider()` Returns the JAZN provider associated with this object.
`String` | `getLocationPath()` Returns the location path
`URL` | `getLocationURL()` Returns the location URL.
`LoginModuleManager` | `getLoginModuleManager()` Returns the `LoginModuleManager` object.
`PermissionClassManager` | `getPermissionClassManager()` Returns the `PermissionClassManager` object.
`int` | `getPersistenceMode()` Returns the JAZN-level persistence mode.
`JAZNPolicy` | `getPolicy()` Returns the installed `JAZNPolicy` object.
`PolicyManager` | `getPolicyManager()` Returns the `PolicyManager` object.
`PrincipalClassManager` | `getPrincipalClassManager()` Returns the `PrincipalClassManager` object.
`String` | `getProperty(String key)` Gets a JAZN property value
`String` | `getProperty(String key, boolean delegate)`
`String` | `getProviderType()` Returns the provider type
`RealmManager` | `getRealmManager()` Returns the `RealmManager` object.
`static Properties` | `parseJAZNConfig(Node node)` Given a DOM node representing the <jazn> element, return the parsed properties.
`void` | `persist()` Serializes the content of the `JAZNConfig` instance.
`String` | `toString()`
`void` | `writeXML(int indentation, Writer writer)` Serializes the content of this `JAZNConfig` instance to the specified writer.
`void` | `writeXML(Writer writer)` Serializes the content of this `JAZNConfig` instance to the specified writer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAZNConfig

    public JAZNConfig(String configFile)

  Creates a new `JAZNConfig` instance using the specified file.
Parameters:
  `configFile` - the file from which the `JAZNConfig` instance is instantiated.

### JAZNConfig

    public JAZNConfig(Properties props)

  Creates a new `JAZNConfig` instance from the given properties.
Parameters:
  `props` - the properties from which to instantiate a new `JAZNConfig` instance.

### JAZNConfig

    public JAZNConfig(Node node)

  Creates a new `JAZNConfig` instance from the DOM node.

Method Detail

### getProviderType

    public String getProviderType()

  Returns the provider type
  Returns:
    the provider type

### getDeploymentURL

    public URL getDeploymentURL()

  Returns the deployment URL
  Returns:
    the deployment URL

### getLocationPath

    public String getLocationPath()

  Returns the location path
  Returns:
    the location path

### getLocationURL

    public URL getLocationURL()

  Returns the location URL.
  Returns:
    the location URL.

### getDefaultRealm

    public String getDefaultRealm()

  Returns the default realm
  Returns:
    the default realm

### getPersistenceMode

    public int getPersistenceMode()

  Returns the JAZN-level persistence mode.

  Note that this may be overridden by component-level persistence mode settings.

  Returns:
    the JAZN-level persistence mode

### getDelegate

    public JAZNConfig getDelegate()

  Returns the delegate JAZNConfig object.
  Returns:
    the delegate JAZNConfig object.

### expandProperties

    public final boolean expandProperties()

  Returns true if properties are expanded by default
  Returns:
    true if properties are expanded by default

### getClassLoader

    public ClassLoader getClassLoader()

  Returns the JAZN class loader
  Returns:
    the JAZN class loader

### getJAZNProvider

    public oracle.security.jazn.spi.JAZNProvider getJAZNProvider()

  Returns the JAZN provider associated with this object.
  Returns:
    the JAZN provider associated with this object.

### getLoginModuleManager

    public LoginModuleManager getLoginModuleManager()

  Returns the `LoginModuleManager` object.

  This method first calls `SecurityManager.checkPermission` with `JAZNPermission("getLoginModuleManager")` to ensure that the caller has permission to get the `LoginModuleManager` object.

  Returns:
    the `LoginModuleManager` object.
  Throws:
    `SecurityException` - if the caller does not have permission to invoke this method

### getRealmManager

    public RealmManager getRealmManager()

  Returns the `RealmManager` object.

  This method first calls `SecurityManager.checkPermission` with `JAZNPermission("getRealmManager")` to ensure that the caller has permission to get the `RealmManager` object.

  Returns:
    the `RealmManager` object.
  Throws:
    `SecurityException` - if the caller does not have permission to invoke this method

### getPolicyManager

    public PolicyManager getPolicyManager()

  Returns the `PolicyManager` object.

### getPermissionClassManager

    public PermissionClassManager getPermissionClassManager()

  Returns the `PermissionClassManager` object.

### getPrincipalClassManager

    public PrincipalClassManager getPrincipalClassManager()

  Returns the `PrincipalClassManager` object.

### getPolicy

    public JAZNPolicy getPolicy()

  Returns the installed `JAZNPolicy` object.

  This method first calls `SecurityManager.checkPermission` with `JAZNPermission("getPolicy")` to ensure that the caller has permission to get the `RealmManager` object.

  Returns:
    the installed `JAZNPolicy` object.
  Throws:
    `SecurityException` - if the caller does not have permission to invoke this method

### getProperty

    public String getProperty(String key)

  Gets a JAZN property value

  This method first calls `SecurityManager.checkPermission` with `JAZNPermission("getProperty."+key)` to ensure the caller has permission to retrive the JAZN property value.

  Parameters:
    `key` - the key of the property being retrieved
  Returns:
    the value associated with the specified key
  Throws:
    `SecurityException` - if the caller does not have permission to invoke this method

### getProperty

    public String getProperty(String key,
                              boolean delegate)

### parseJAZNConfig

    public static Properties parseJAZNConfig(Node node)

  Given a DOM node representing the <jazn> element, return the parsed properties.
  Parameters:
    `node` - the DOM node representing the <jazn> element.
  Returns:
    the parsed properties

### persist

    public void persist()
                 throws JAZNException

  Serializes the content of the `JAZNConfig` instance.
    `JAZNException`

### writeXML

    public void writeXML(Writer writer)
                  throws IOException

  Serializes the content of this `JAZNConfig` instance to the specified writer.
  Parameters:
    `writer` - the specified writer
    `IOException`

### writeXML

    public void writeXML(int indentation,
    Writer writer)
                  throws IOException

  Serializes the content of this `JAZNConfig` instance to the specified writer.
  Parameters:
    `indentation` - the indentation level
    `writer` - the specified writer
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getJAZNConfig

    public static JAZNConfig getJAZNConfig()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.